<template>
  <div class="message d-flex align-items-start" :class="{'me':isSent}">
    <MessagePicture :isSent="isSent" :message="message"></MessagePicture>

    <div class="d-flex flex-column">
      <messageHead :isSent="isSent" :message="message"></messageHead>
      <div class="text text-white shadow-sm weather-container"  :class="{'me':isSent}">
    
       
        <div class="row justify-content-center text-center">
      
            <div class="col-md-12">
                <h3>{{content.area}}, {{content.countryCode}}</h3>
                <p>{{content.columns[0].longDate}}</p>
                <div class="row">
                    <div class="col-md-4">
                        <span class="d-block text-warning">Siang</span>
                        <img :src="content.columns[0].dayIconUrl" alt="" class="img-fluid">
                        <span class="d-block">{{content.columns[0].dayWeather}}</span>
                        
                    </div>

                     <div class="col-md-4">
                        <span class="d-block text-warning">Suhu</span>
                        <h4>{{content.columns[0].temperature}} &deg;</h4>
                        <small class="d-block">Min {{content.columns[0].minTemperature}} &deg;</small>
                        <small class="d-block">Max {{content.columns[0].maxTemperature}} &deg;</small>
                        
                    </div>

                     <div class="col-md-4">
                        <span class="d-block text-warning">Malam</span>
                        <img :src="content.columns[0].nightIconUrl" alt="" class="img-fluid">
                        <span class="d-block">{{content.columns[0].nightWeather}}</span>
                        
                    </div>

                </div>
            </div>
            <hr>
            <div class="col-md-2 m-1 text-center text-white" v-for="(column,index) in content.columns.slice(1)" :key="'date'+index">
                <span class="d-block">{{column.shortDate}}</span>
            </div>
            <div class="col-md-12 text-warning">
                Siang
            </div>
            <div class="col-md-2 m-1 text-center text-white" v-for="(column,index) in content.columns.slice(1)" :key="'day'+index">
                <img :src="column.dayIconUrl" class="img-fluid">
                <small class="d-block">{{column.maxTemperature}} {{column.minTemperature}}</small>
            </div>
            <div class="col-md-12 text-warning">
                Malam
            </div>

            <div class="col-md-2 m-1 text-center text-white" v-for="(column,index) in content.columns.slice(1)" :key="'night'+index">
                <img :src="column.nightIconUrl" class="img-fluid">
                <small class="d-block">{{column.maxTemperature}} {{column.minTemperature}}</small>
            </div>
        </div>
       
      </div>
      <div class="text-muted-light">
        <small :class="{'float-right':isSent}">
          <template v-if="isSent">
            <i class="fas fa-clock" v-show="message.created_at == null"></i>
            <i class="fas fa-check" v-show="message.created_at != null"></i>
          </template>
          {{formatDate(message.created_at,"LT")}}
        </small>
      </div>
    </div>
    
  </div>
</template>

<script>
import chatMixin from "@/mixins/ChatMixin";
import MessagePicture from "../elements/MessagePicture";
import MessageHead from "../elements/MessageHead";
export default {
  mixins: [chatMixin],
  components: {
    MessagePicture,
    MessageHead
  }
};
</script>
<style scoped>
.chat-content {
  overflow-y: scroll !important;
}
.weather-container{
    background: #0087d3 !important
}
</style>
